import yt_dlp

def download_youtube_video(video_url):
    """
    Downloads a YouTube video using yt_dlp.
    
    Args:
        video_url (str): The URL of the YouTube video to download.
    """
    ydl_opts = {
        'format': 'best',  # Best video+audio format
        'outtmpl': '%(title)s.%(ext)s',  # Save file as the video's title
    }

    try:
        with yt_dlp.YoutubeDL(ydl_opts) as ydl:
            info = ydl.extract_info(video_url, download=True)
            return f"Downloaded: {info['title']}"
    except Exception as e:
        return f"Error: {e}"
